[Ubuntu] Erreur de segmentation

Forum concernant ce jeu et les serveurs que j'héberge. (ce sous-forum remplace conseiljedi.com)
User avatar
Corran Horn
Posts: 26
Joined: Wed May 23, 2007 1:43 am

[Ubuntu] Erreur de segmentation

Post by Corran Horn » Fri May 16, 2008 12:04 am

Hello!

J'ai un problème plutôt embêtant sous mon serveur Linux, Ubuntu 8.04 LTS Server... Il y a de cela 2 jours, j'ai effectué pleins de tests sur des serveurs JKA, tout marchait impecc (1.00, 1.01, japlus, instagib, moviebattles, forcemod... la totale!).

Et voila qu'aujourd'hui, dès que je lance un linuxjampded quelconque, je me retrouve avec:

Code: Select all

user@host:$ ./linuxjampded
Erreur de segmentation
Et rien d'autre. Qu'on lance linuxjampded avec ou sans arguments, le résultat est identique!
Et lorsque j'ai testé un serveur 1.00 (non patché), je me suis retrouvé avec l'erreur suivante:

Code: Select all

user@host:$ ./linuxjampded
Inconsistency detected by ld.so: dl-version.c: 230: _dl_check_map_versions: Assertion `needed != ((void *)0)' failed!

As-tu une idée d'où peut provenir ces horreurs? :quoi

Note: J'ai vérifié les droits d'accès, changé d'utilisateur, vérifié les sommes MD5, rebooté le dédié, retéléchargé tous les fichiers... rien n'y fait.

User avatar
Gamall
Hic sunt dracones
Posts: 4145
Joined: Fri May 26, 2006 11:09 pm
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Gamall » Fri May 16, 2008 1:49 am

:hi

Entre "il y a deux jours" et aujourd'hui, quelles opérations as-tu effectuées ?

1. Mise à jour de noyau? de sécurité ? Installation de logiciels ?

Après 2 min de Gooogle, ça a l'air d'être un problème courant... mais la solution a l'air d'être moins courante, déjà. Les messages similaires sont peu nombreux, et restent systématiquement sans réponse.

2. Si tu pouvais mettre la main sur dl-version.c, ça aiderait peut-être. Je ne le trouve pas sur le net (mais je n'ai pas beaucoup cherché, j'ai une loooongue journée derrière moi, là).


Mon opinion perso est que tu as installé, peut-être sans le savoir, au cours d'une mise à jour x ou y, une libraire vaseuse.

3. essaye de trouver ld.so sur ton système. Regarde sa date de dernière modification.


A+
{<§ Gamall Wednesday Ida §>}
{ Mods and Programs - Mods TES-IV Oblivion }

User avatar
Maikoru
Jedi Perpétuellement Affamé
Posts: 481
Joined: Sun Aug 27, 2006 11:15 pm

Re: [Ubuntu] Erreur de segmentation

Post by Maikoru » Fri May 16, 2008 7:54 am

C'est peut-être un peu hors-sujet, mais je ne te conseille pas d'utiliser Ubuntu en serveur, et encore moins la version 8.04 (elle n'est pas encore au point, même si c'est une LTS).
Redirige-toi vers une Debian, ou CentOs.
"..." -- Link

MadJawa
Posts: 1
Joined: Wed May 23, 2007 10:13 pm

Re: [Ubuntu] Erreur de segmentation

Post by MadJawa » Fri May 16, 2008 9:16 am

Salut!
Je suis en train d'aider Corran :love J'ai recherché sur le système, et j'ai trouvé ça:

Code: Select all

$ sudo ls -la /lib/ | grep ld
-rwxr-xr-x  1 root root  109152 2008-04-05 01:38 ld-2.7.so
lrwxrwxrwx  1 root root       9 2008-05-09 15:31 ld-linux.so.2 -> ld-2.7.so
Apparemment, y'a juste un lien symbolique qui a été créé le 9 mai, sinon ld-2.7.so a pas eu l'air d'avoir été modifié. A moins que ça ne soit la date de création mais je crois bien que c'est la date de modification ^^

J'ai aussi essayé de chercher dl-version.c mais j'ai rien trouvé... :(

User avatar
Corran Horn
Posts: 26
Joined: Wed May 23, 2007 1:43 am

Re: [Ubuntu] Erreur de segmentation

Post by Corran Horn » Fri May 16, 2008 11:05 am

Je n'ai justement effectué aucune opération particulière!
Que des "rm", "mv", "cp", "ln -s" sur différents dossiers (templates de bases pour la création des différents serveurs)... :snif

User avatar
Gamall
Hic sunt dracones
Posts: 4145
Joined: Fri May 26, 2006 11:09 pm
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Gamall » Fri May 16, 2008 7:12 pm

Je pense que c'est surtout parce que ton noyau est trop récent; ld.so est un composant essentiel de Linux, c'est lui qui charge toutes les libraires au démarrage d'un programme; je ne pense pas qu'on puisse le changer sans tout casser.

Fais un cat /proc/version, pour voir. Il me semble que les derniers Ubuntu ont une mise à jour majeure du noyau.

Je pense que tu as meilleur temps de changer d'OS, et surtout vers une version plus ancienne. N'oublions pas que Linux ne fait pas d'effort pour assurer la compatibilité des exécutables: c'est celle des sources qui compte. Or on n'a pas les sources de jampded, donc on ne peut rien recompiler, donc quand ça ne veut pas marcher... ben il n'y a pas grand-chose à faire.

Sinon tu peux essayer de télécharger de plus vieux ld.so et voir ce que ça donne. Si ça casse tout tant pis, c'est retour à l'option "changement d'OS". Si jamais ça marche ben tant mieux.

Perso sur mes serveurs j'ai une vieille RedHat Enigma. (kernel 2.4, de tête).

Quant à savoir pourquoi ça a marché avant de bugger... je pense que c'est par pure cruauté :haha

edit: j'y pense: ton serv, c'est un 32 ou un 64 bits ?
{<§ Gamall Wednesday Ida §>}
{ Mods and Programs - Mods TES-IV Oblivion }

User avatar
Corran Horn
Posts: 26
Joined: Wed May 23, 2007 1:43 am

Re: [Ubuntu] Erreur de segmentation

Post by Corran Horn » Fri May 16, 2008 11:24 pm

64 bits ( http://www.ovh.com/fr/particulier/produ ... an2008.xml )


user@host:~$ cat /proc/version
Linux version 2.6.24.5-grsec-xxxx-grs-ipv4-32 (root@kernel-32.ovh.net) (gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)) #1 SMP Wed Apr 23 17:14:18 CEST 2008

User avatar
Gamall
Hic sunt dracones
Posts: 4145
Joined: Fri May 26, 2006 11:09 pm
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Gamall » Fri May 16, 2008 11:39 pm

A mon avis ça n'aide pas, que ce soit un 64 bits. :? En théorie ça ne devrait pas gêner, surtout si tu as installé la version 32 bits de l'OS, mais bon...

Ah, je ne vois pas d'Ubuntu 8.04 dans les offres OVH: tu as viré leur OS exprès pour mettre le tien, ou ils n'ont pas mis leur site à jour ?
{<§ Gamall Wednesday Ida §>}
{ Mods and Programs - Mods TES-IV Oblivion }

User avatar
Corran Horn
Posts: 26
Joined: Wed May 23, 2007 1:43 am

Re: [Ubuntu] Erreur de segmentation

Post by Corran Horn » Sat May 17, 2008 1:28 am


User avatar
Gamall
Hic sunt dracones
Posts: 4145
Joined: Fri May 26, 2006 11:09 pm
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Gamall » Sat May 17, 2008 5:53 pm

Oki. Ils n'ont pas mis toutes leurs listes à jour :huhu


Ceci dit, c'est le moment où je t'enguirlande :gamall : ya marqué BETA en gros sur l'OS. Tu m'expliques l'intérêt d'installer un OS en version BETA... pour faire tourner un jeu qui date de 2003 (et qui n'était pas à la pointe de la technologie à l'époque) ? A part chercher les ennuis ?


Grrr. :hum
{<§ Gamall Wednesday Ida §>}
{ Mods and Programs - Mods TES-IV Oblivion }

User avatar
Corran Horn
Posts: 26
Joined: Wed May 23, 2007 1:43 am

Re: [Ubuntu] Erreur de segmentation

Post by Corran Horn » Sat May 17, 2008 6:15 pm

On est entrain de réinstaller sous Debian Etch 4.0 ^^
Patapay!! :ouin

User avatar
Dakin Quelia
Posts: 206
Joined: Mon May 14, 2007 10:36 pm
Location: Belgique
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Dakin Quelia » Sat May 17, 2008 6:16 pm

J'ai voulu faire cette remarque! Je soutiens Ida. :huhu
Un Jedi devrait considérer chaque possibilité ainsi que ses possibles conséquences avant de s'impliquer personnellement dans une situation quelconque.

Mon blogue | Mon hébergeur

User avatar
Gamall
Hic sunt dracones
Posts: 4145
Joined: Fri May 26, 2006 11:09 pm
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Gamall » Sat May 17, 2008 6:56 pm

Le premier qui ne me soutient pas se prend une baffe, donc c'est vite vu... :huhu
Corran Horn wrote:On est entrain de réinstaller sous Debian Etch 4.0 ^^Patapay!!
C'est presque trop récent :hum

Nan je plaisante, ça devrait marcher, pas besoin de revenir à l'age de pierre non plus. :D
{<§ Gamall Wednesday Ida §>}
{ Mods and Programs - Mods TES-IV Oblivion }

User avatar
Corran Horn
Posts: 26
Joined: Wed May 23, 2007 1:43 am

Re: [Ubuntu] Erreur de segmentation

Post by Corran Horn » Sat May 17, 2008 8:03 pm

Plus qu'a espérer que j'me retrouverais pas avec le bug d'MB2 comme l'autre fois... :(

User avatar
Gamall
Hic sunt dracones
Posts: 4145
Joined: Fri May 26, 2006 11:09 pm
Contact:

Re: [Ubuntu] Erreur de segmentation

Post by Gamall » Sat May 17, 2008 9:05 pm

Heuuu si c'est exactement le même OS, et à moins que tu n'aies commis une erreur la dernière fois, il y a des chances que ce soit le cas...

et tu n'auras plus qu'à essayer un autre OS...

Encore une fois, tant qu'on n'a pas les sources d'un prog, on peut juste prier pour que ça marche :snif
{<§ Gamall Wednesday Ida §>}
{ Mods and Programs - Mods TES-IV Oblivion }

Post Reply

Who is online

Users browsing this forum: No registered users and 83 guests